package cn.iocoder.yudao.module.llm.dal.mysql.dataprocesstask;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.dal.dataobject.dataprocesstask.DataProcessTaskDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.llm.controller.admin.dataprocesstask.vo.*;

/**
 * 数据处理任务 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface DataProcessTaskMapper extends BaseMapperX<DataProcessTaskDO> {

    default PageResult<DataProcessTaskDO> selectPage(DataProcessTaskPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DataProcessTaskDO>()
                .likeIfPresent(DataProcessTaskDO::getTaskName, reqVO.getTaskName())
                .eqIfPresent(DataProcessTaskDO::getDatasetId, reqVO.getDatasetId())
                .betweenIfPresent(DataProcessTaskDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DataProcessTaskDO::getStatus, reqVO.getStatus())
                .eqIfPresent(DataProcessTaskDO::getDatasetPostId, reqVO.getDatasetPostId())
                .eqIfPresent(DataProcessTaskDO::getOptions, reqVO.getOptions())
                .orderByDesc(DataProcessTaskDO::getId));
    }

}